Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer.validate
Class DistanceToPointFinder

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.DistanceToPointFinder

    public class DistanceToPointFinder

extends java.lang.Object

Computes the Euclidean distance (L2 metric) from a Point to a Geometry. Also computes two points which are separated by the distance.

Constructor Summary
`DistanceToPointFinder()`

Method Summary
`static void` | `computeDistance(Geometry geom, Coordinate pt, PointPairDistance ptDist)`
`static void` | `computeDistance(LineSegment segment, Coordinate pt, PointPairDistance ptDist)`
`static void` | `computeDistance(LineString line, Coordinate pt, PointPairDistance ptDist)`
`static void` | `computeDistance(Polygon poly, Coordinate pt, PointPairDistance ptDist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceToPointFinder

    public DistanceToPointFinder()

Method Detail

### computeDistance

    public static void computeDistance(Geometry geom,
                                       Coordinate pt,
                                       PointPairDistance ptDist)

### computeDistance

    public static void computeDistance(LineString line,
                                       Coordinate pt,
                                       PointPairDistance ptDist)

### computeDistance

    public static void computeDistance(LineSegment segment,
                                       Coordinate pt,
                                       PointPairDistance ptDist)

### computeDistance

    public static void computeDistance(Polygon poly,
                                       Coordinate pt,
                                       PointPairDistance ptDist)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD